import type { AsyncError, ConvertibleToAsyncError } from "./";
import { MultiStateAsyncValue } from "./";
import type { Observable } from 'rxjs';
/**
 * AsyncValue can have only one of [value, pending, error] set at any time
 */
export declare class AsyncValue<T> extends MultiStateAsyncValue<T> {
    constructor(value: T, pending?: boolean, error?: ConvertibleToAsyncError);
    static errorOnly<T = any>(error: ConvertibleToAsyncError): AsyncValue<T>;
    static pendingOnly<T = any>(): AsyncValue<T>;
    static valueOnly<T = any>(value: T): AsyncValue<T>;
    static createEmpty<T = any>(): MultiStateAsyncValue<T>;
    get error(): AsyncError;
    set error(nextError: AsyncError);
    get pending(): boolean;
    set pending(nextPending: boolean);
    get value(): T;
    set value(nextValue: T);
    setErrorFrom(nextError: ConvertibleToAsyncError): void;
    /**
     * Clone methods
     */
    clone(): AsyncValue<T>;
    static fetchAndParseResponse<T = any>(input: string | Request, init?: RequestInit): Observable<AsyncValue<T>>;
}
